Skip to main content
DELETE
/
v2
/
payout-links
/
{payout_link_id}
Delete a Payout Link
curl --request DELETE \
  --url https://api.dots.dev/api/v2/payout-links/{payout_link_id} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.dots.dev/api/v2/payout-links/{payout_link_id}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.dots.dev/api/v2/payout-links/{payout_link_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created": "2023-11-07T05:31:56Z",
  "link": "<string>",
  "amount": 123,
  "payee": {
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "jsmith@example.com",
    "country_code": "<string>",
    "phone_number": "<string>"
  },
  "delivery": {
    "email": "jsmith@example.com",
    "country_code": "<string>",
    "phone_number": "<string>"
  },
  "tax_exempt": true,
  "claimed_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "memo": "<string>",
  "metadata": "<string>"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

Id of the payout link

Response

200 - application/json

OK

The payout-link object.

id
string<uuid>

ID of the payout-link.

created
string<date-time>

Date the payout-link was created.

URL to access the payout-link.

amount
number

The amount to pay in cents.

status
enum<string>

Status of the payout-link.

Available options:
created,
delivery_pending,
delivery_failed,
sent,
delivered,
claimed,
reversed,
canceled,
expired,
failed
payee
object

Information about the payee. It is used to pre-fill information.

delivery
object
tax_exempt
boolean

Transfers marked as tax_exempt will not be counted towards the 1099 threshold.

claimed_user_id
string<uuid>

ID of the user that has claimed the payout-link.

flow_id
string<uuid>

ID of the payout flow UI that is sent to the user.

transfer_id
string<uuid>

ID of the transfer created for this payout-link.

memo
string | null

Optional memo added to this payout-link

metadata

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.